<?php

declare(strict_types=1);

namespace Dedi\SyliusStockHistoryPlugin\Context\Api;

use Dedi\SyliusStockHistoryPlugin\Context\InventoryLogContextInterface;
use Dedi\SyliusStockHistoryPlugin\Enum\InventoryLogEntryType;

class VariantEditContext implements InventoryLogContextInterface
{
    public static function getType(): string
    {
        return InventoryLogEntryType::API_VARIANT_EDIT->value;
    }

    public function getRoutes(): array
    {
        return [
            'api_product_variants_admin_put_item',
        ];
    }
}
