<?php

declare(strict_types=1);

namespace Dedi\SyliusStockHistoryPlugin\Context;

interface InventoryLogContextRegistryInterface
{
    public function get(string $type): InventoryLogContextInterface;

    public function getAll(): iterable;

    public function getContextForRoute(string $route): InventoryLogContextInterface;
}
